Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1573852 - SchedulerConfigFile is not updated on masters
Summary: SchedulerConfigFile is not updated on masters
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.7.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.7.z
Assignee: Russell Teague
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-02 11:40 UTC by Mauricio Magnani
Modified: 2019-03-29 06:34 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-29 19:34:49 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Mauricio Magnani 2018-05-02 11:40:10 UTC
### Description of problem ### 

schedulerConfigFile is not updated on masters (master-config.yaml) when running playbook config.yml


### Version-Release number ### 

$ openshift version
openshift v3.7.23
kubernetes v1.7.6+a08f5eeb62
etcd 3.2.8

$ rpm -qa | grep openshift-ansible
openshift-ansible-3.7.23-1.git.0.bc406aa.el7.noarch
openshift-ansible-roles-3.7.23-1.git.0.bc406aa.el7.noarch
openshift-ansible-filter-plugins-3.7.23-1.git.0.bc406aa.el7.noarch
openshift-ansible-docs-3.7.23-1.git.0.bc406aa.el7.noarch
openshift-ansible-callback-plugins-3.7.23-1.git.0.bc406aa.el7.noarch
openshift-ansible-lookup-plugins-3.7.23-1.git.0.bc406aa.el7.noarch
openshift-ansible-playbooks-3.7.23-1.git.0.bc406aa.el7.noarch


### Steps to Reproduce ###

1) Create customized scheduler file on all masters 

(/etc/origin/master/scheduler-example.json)

2) Add variable in inventory file

(schedulerConfigFile=/etc/origin/master/scheduler-example.json)

3) Run playbook config.yml

ansible-playbook -K -i inventories/ocplab /usr/share/ansible/openshift-ansible/playbooks/byo/config.yml

3) Check master-config.yaml on both masters. schedulerConfigFile is not updated.

vim /etc/origin/master/master-config.yaml
 schedulerConfigFile: /etc/origin/master/scheduler.json


### Actual results ###

schedulerConfigFile is not updated on masters 

### Expected results ###

Master updated with new configuration.

Comment 1 Russell Teague 2018-11-20 15:00:07 UTC
'schedulerConfigFile' is not a valid inventory variable.  Please see the documentation for customer schedulers below.

https://docs.openshift.com/container-platform/3.7/admin_guide/scheduling/custom_scheduler.html

Please advise if this resolves the customer's issue.


Note You need to log in before you can comment on or make changes to this bug.